# Project Nonogram-Bot

##About
 
#nonogram is a grid game based on colouring the grids decided by given 
numbers for rows and columns.

#We are making a bot to find a solution to nonogram block by giving input
as list of lists of integer which tell us column  and rows number to be
 colored and gives output image using # and _ 
#logic 
1)we intitially considered an empty 5 by 5 grid with number of blocks to be shaded row and column wise
2)consider definite function i.e (1,3) (3,1) (2,2) which wil be certainly filled
3)going heirarchy wise we later check for 4 then 3 then (1,2) ( 2,1) 2 and finally 1
4)if uncertainity in filling 4 then center 3 marked , for 3 only center is marked and after every iteration it will be checked 
for certainity and will then be filled(similarly repeating same process for other hierarachy
##Members
Udita Saini
Abhisatwika Reddy
Aastha Deshwal
Shreya Sinha
